#!/usr/bin/env bash

# shellcheck disable=SC2155
cmn_echo_info() {
    if [ -n "$TERM" ] && [ -t 1 ]; then
        local green=$(tput setaf 2)
        local reset=$(tput sgr0)
        # shellcheck disable=SC2145
        echo -e "${green}$@${reset}"
    else
        echo "$@"
    fi
}

# shellcheck disable=SC2155
cmn_echo_important() {
    if [ -n "$TERM" ] && [ -t 1 ]; then
        local yellow=$(tput setaf 3)
        local reset=$(tput sgr0)
        # shellcheck disable=SC2145
        echo -e "${yellow}$@${reset}"
    else
        echo "$@"
    fi
}

# shellcheck disable=SC2155
cmn_echo_warn() {
    if [ -n "$TERM" ] && [ -t 1 ]; then
        local red=$(tput setaf 1)
        local reset=$(tput sgr0)
        # shellcheck disable=SC2145
        echo -e "${red}$@${reset}"
    else
        echo "$@"
    fi
}

cmn_assert_command_is_available() {
    local cmd=${1}
    # shellcheck disable=SC2086
    if ! type ${cmd} >/dev/null 2>&1; then
        echo ""
        cmn_echo_warn "Cancelling because required command '${cmd}' is not available."
        exit 1
    fi
}
